
Runner.buttonEvents["HiLITE_PEN"]=function(pageObj,proxy,pageid){pageObj.buttonNames[pageObj.buttonNames.length]='HiLITE_PEN';if(!pageObj.buttonEventBefore['HiLITE_PEN']){pageObj.buttonEventBefore['HiLITE_PEN']=function(params,ctrl,pageObj,proxy,pageid,rowData,row,submit){var ajax=ctrl;var selectedRecords=pageObj.getSelectedRecords();if(selectedRecords.length==0)
return false;selectedRecords.forEach(function(ajaxRow,idx){$("[data-record-id="+ajaxRow.row["id"]+"]").css("background-color","DeepSkyBlue");});return false;}}
if(!pageObj.buttonEventAfter['HiLITE_PEN']){pageObj.buttonEventAfter['HiLITE_PEN']=function(result,ctrl,pageObj,proxy,pageid,rowData,row,params){var ajax=ctrl;}}
$('a[id="HiLITE_PEN"]').each(function(){if($(this).closest('.gridRowAdd').length){return;}
this.id="HiLITE_PEN"+"_"+Runner.genId();var button_HiLITE_PEN=new Runner.form.Button({id:this.id,btnName:"HiLITE_PEN"});button_HiLITE_PEN.init({args:[pageObj,proxy,pageid]});});};